=== Tests/RunCMake/Graphviz/sub_directory_target/CMakeLists.txt ===
add_executable(SubDirectoryTarget test.c)
