=== Tests/RunCMake/Ninja/SubDirConfigureFileDup/CMakeLists.txt ===
configure_file(../PreventConfigureFileDupBuildRule.cmake PreventTargetAliasesDupBuildRule.cmake @ONLY)
